package com.ss.android.ugc.aweme.commerce.service;

import X.C4809SvN;
import X.C4901Swr;
import X.M12;
import com.bytedance.covode.number.Covode;
import com.ss.android.ugc.aweme.feed.model.Aweme;

public class EmptyCommerceService implements ICommerceService {
    public static final C4901Swr Companion = new C4901Swr((byte) 0);

    static {
        Covode.recordClassIndex(58023);
    }

    public Aweme getAwemeById(String str) {
        return null;
    }

    public void logCommerceEvents(String str, C4809SvN svN) {
        M12.LIZ(str);
    }
}
